
set echo on
SET AUTOCOMMIT ON

exec set_dateformat;
COMMIT;
spool logs/step2.log


--=======================
-- remove old code
--=======================
--purge recyclebin;
--@utils/droppmcode.sql
--purge recyclebin;
--@utils/droppmotrig.sql
purge recyclebin;
@utils/drop_temptable.sql
purge recyclebin;



-- ====================
-- create new objects
-- ====================
@plbddl/TempTable.ddl
@plbddl/Lev_TempTable.ddl
@plbddl/TempTableIdx.ddl
@plbddl/Sequences.sql
@plbddl/triggers.sql
   
-- ===========
-- plbddl
-- ===========
--@plbddl/ALLTRACES.spc
--@plbddl/ALLTRACES.bdy
--@plbddl/LFILE.spc
--@plbddl/LFILE.bdy
--@plbddl/PMODEFINES.spc
--@plbddl/PMODEFINES.bdy
--@plbddl/PMO_ARRAYS.spc
--@plbddl/PMO_ARRAYS.bdy
@plbddl/PMO_CNST.spc
--@plbddl/PMO_DB2M.spc
--@plbddl/PMO_FUNC.spc
--@plbddl/PMO_FUNC.bdy
--@plbddl/PMO_ORASTD.spc
--@plbddl/PMO_ORASTD.bdy
--@plbddl/PMO_STPU.spc
--@plbddl/PMO_STPU.bdy
--@plbddl/PMO_Triggers.spc
--@plbddl/PMO_Triggers.bdy
--@plbddl/ROLLUPDATES.spc
--@plbddl/ROLLUPDATES.bdy
--@plbddl/ASSIGN_STR.spc
--@plbddl/Lev_Interface.plb

-- =========
-- csp
-- =========

@plb/activities.plb
@plb/alerts.plb
@plb/app_costs.plb
@plb/approval_ts.plb
@plb/asset_func.plb
@plb/assets.plb
@plb/assign_str.plb
@plb/attr2.plb
@plb/attr_func.plb
@plb/attributes.plb
@plb/budgets.plb
@plb/calendars.plb
@plb/change_log.plb
@plb/changeobjecttype.plb
@plb/charge_back.plb
@plb/chargecodes.plb
@plb/client_func.plb
@plb/clients.plb
@plb/compet_func.plb
@plb/competencies.plb
@plb/contacts.plb
@plb/contracts.plb
@plb/cost_back.plb
@plb/costs.plb
@plb/cplan.plb
@plb/cplan2.plb
@plb/cplan_fd.plb
@plb/cplan_fun.plb
@plb/cri.plb
@plb/cri_func.plb
@plb/currency.plb
@plb/datafields.plb
@plb/defaults.plb
@plb/dependencies.plb
@plb/doc_fix.plb
@plb/doc_func.plb
@plb/doc_move_func.plb
@plb/document.plb
@plb/domains.plb
@plb/evalue.plb
@plb/factors.plb
@plb/favoriteactivities.plb
@plb/fs_pmor.plb
@plb/geographies.plb
@plb/globalfunction.plb
@plb/impexwbs.plb
@plb/move_wbs.plb
@plb/nab.plb
@plb/organizations.plb
@plb/pivots.plb
@plb/pivots_func.plb
@plb/pmo_stpu.plb
@plb/po_cs.plb
@plb/poolreferences.plb
@plb/pools.plb
@plb/portal_page.plb
@plb/reconciliation.plb
@plb/report.plb
@plb/res_back.plb
@plb/resource.plb
@plb/rollupdates.plb
@plb/rtf.plb
@plb/rtf_func.plb
@plb/sc_def.plb
@plb/sc_def_func.plb
@plb/scd_func.plb
@plb/scenarios.plb
@plb/scorecards.plb
@plb/security.plb
@plb/sessions.plb
@plb/settings.plb
@plb/staffing_request.plb
@plb/statenotifyconfig.plb
@plb/timecodes.plb
@plb/timephase.plb
@plb/timesheets.plb
@plb/unassign_res.plb
@plb/vendors.plb
@plb/version.plb
@plb/views.plb
@plb/views_2pool.plb
@plb/views_bubbles.plb
@plb/views_cal.plb
@plb/views_costs.plb
@plb/views_cube01.plb
@plb/views_financial.plb
@plb/views_pivot.plb
@plb/views_pool.plb
@plb/views_ts.plb
@plb/views_welcome.plb
@plb/wbs.plb
@plb/wbs_ext.plb
@plb/wbs_func.plb
@plb/workflow.plb
@plb/rollupev.plb

COMMIT;

@utils/recompile
@utils/recompile
@utils/recompile

spool off
exit;
